<nav class="navbar navbar-manage bg-body-tertiary navbar-expand-md manage-navbar p-2 border-bottom border-secondary-subtle" {{did-insert this.setup}}>
  <div class="container-fluid">
    {{#if this.logo}}
      <LinkTo @route="index" class="nav-link nav-link-main-website me-3">
        <img src="{{this.logo.picture}}{{this.size}}" class="logo" height="24" />
      </LinkTo>
    {{/if}}

    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto">
        <li class="nav-item border-end border-secondary-subtle me-2 pe-2">
          <LinkTo @route="index" class="nav-link nav-link-main-website nav-link-main-website-text ff-poppins">
            <FaIcon @icon="angle-left" />
            {{capitalize (t "back to our website")}}
          </LinkTo>
        </li>

        {{#if this.allowManage}}
          <DropdownList class="dropdown-manage ff-poppins" @isActive={{this.isManage}} @text={{capitalize (t "dashboards")}}>
            {{#each this.user.teams as |team|}}
              <LinkTo @route="manage.dashboards.dashboard" @model={{team.id}} class="dropdown-item dropdown-item-dashboard">
                {{team.name}}
              </LinkTo>
            {{/each}}

            {{#if this.user.isAdmin}}
              {{#if this.user.teams}}
                <div class="dropdown-divider"></div>
              {{/if}}

              <h6 class="dropdown-header">{{t "only for administrators"}}</h6>

              <LinkTo @route="manage.teams" class="dropdown-item dropdown-item-teams ff-poppins">
                {{capitalize (t "all teams")}}
              </LinkTo>
            {{/if}}
          </DropdownList>
        {{/if}}

        {{#if this.user.isAdmin}}
          <li class="nav-item">
            <LinkTo @route="manage.languages" class="nav-link dropdown-item-languages ff-poppins">
              {{capitalize (t "languages")}}
            </LinkTo>
          </li>
        {{/if}}

        {{#if this.allowAdd}}
          <MainPlus @isActive={{this.isAdd}} @isPublisher={{this.isPublisher}} @isAdmin={{this.user.isAdmin}} />
        {{/if}}
      </ul>

      <ul class="ms-auto navbar-nav pe-2">
        <DropdownTheme />

        {{#if (gt this.user.languages.length 1)}}
          <LanguageSelector @languages={{this.user.languages}} @selectedLocale={{this.user.selectedLocale}} />
        {{/if}}

        {{#if this.session.isAuthenticated}}
          <UserDropDown @onSignOut={{this.signOutClick}} />
        {{else}}
          <li class="nav-item p-1">
            <LinkTo @route="login" class="btn btn-outline-success btn-sm btn-sign-in capitalize-first-letter">{{t "sign in"}}</LinkTo>
          </li>
        {{/if}}
      </ul>
    </div>

    <div class="loading {{if this.loading.isLoading 'visible' 'invisible'}}">
      <div class="loading-progress"></div>
    </div>
  </div>
</nav>